Bug 1156647 - [RFE]Display proper message as to why rpc.statd failed to create RPC listeners
Summary: [RFE]Display proper message as to why rpc.statd failed to create RPC listeners
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils
Version: 6.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
Milan Navratil
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1172231 1268411
TreeView+ depends on / blocked
 
Reported: 2014-10-24 22:29 UTC by Ramandeep Arora
Modified: 2016-11-08 03:58 UTC (History)
8 users (show)

(edit)
Description for this BZ won't be included in the Release Notes as per comment 9.
Clone Of:
: 1284184 1287676 (view as bug list)
(edit)
Last Closed: 2016-05-11 00:02:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0868 normal SHIPPED_LIVE nfs-utils bug fix and enhancement update 2016-05-10 22:47:05 UTC

Description Ramandeep Arora 2014-10-24 22:29:42 UTC
1. Proposed title of this feature request  
      
- [RFE]Display proper message as to why rpc.statd failed to create RPC listeners

2. Who is the customer behind the request?  
    Account: BOURNEMOUTH UNIVERSITY (acct # 5221553)  
    TAM customer: no 
    SRM customer: no  
    Strategic: no 
      
3. What is the nature and description of the request?  

- If the nfslock script starts rpc.statd without rpcbind running, this logs the messages "rpc.statd[PID]: failed to create RPC listeners, exiting" but it does not mentions as to why rpc.statd failed to create RPC listeners. So, this RFE is to add a proper messages saying the reason for this to happen.
 
4. How would the customer like to achieve this? (List the functional requirements here)

- A dependancy added to nfslock's RPM to download rpcbind
Either an error message from nfslock that indicates rpcbind isn't running or getting nfslock to start rpcbind when nfslock starts

     
5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

- Check that rpcbind is installed when nfslock is installed via yum.
see an error message being produced or see nfslock working via rpcbind being spawned on initialization

     
6. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

- No.
    
7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

- RHEL6 and any release going forward
     
8. Is the sales team involved in this request and do they have any additional input?  

- No.

9. List any affected packages or components.  

- nfs-utils (nfslock, rpcbind)

10. Would the customer be able to assist in testing this functionality if implemented?

- Depends how much testing is required, potentially yes.

Comment 2 Steve Dickson 2015-01-02 22:14:15 UTC
I'm also seeing

rpc.statd: Failed to register (statd, 1, udp)
rpc.statd: Failed to register (statd, 1, tcp)
rpc.statd: Failed to register (statd, 1, udp6)
rpc.statd: Failed to register (statd, 1, tcp6)

this are not enough?

Comment 3 Dave Wysochanski 2015-10-09 21:46:17 UTC
(In reply to Steve Dickson from comment #2)
> I'm also seeing
> 
> rpc.statd: Failed to register (statd, 1, udp)
> rpc.statd: Failed to register (statd, 1, tcp)
> rpc.statd: Failed to register (statd, 1, udp6)
> rpc.statd: Failed to register (statd, 1, tcp6)
> 
> this are not enough?

So are you Nacking this RFE?  I think 6.8 may be the last chance for RFE so maybe close as WONT_FIX if you don't agree?

I think they asked for 2 things, per #4:
4. How would the customer like to achieve this? (List the functional requirements here)
- A dependancy added to nfslock's RPM to download rpcbind
Either an error message from nfslock that indicates rpcbind isn't running or getting nfslock to start rpcbind when nfslock sta

Comment 4 Steve Dickson 2015-10-14 21:23:56 UTC
(In reply to Dave Wysochanski from comment #3)
> (In reply to Steve Dickson from comment #2)
> > I'm also seeing
> > 
> > rpc.statd: Failed to register (statd, 1, udp)
> > rpc.statd: Failed to register (statd, 1, tcp)
> > rpc.statd: Failed to register (statd, 1, udp6)
> > rpc.statd: Failed to register (statd, 1, tcp6)
> > 
> > this are not enough?
> 
> So are you Nacking this RFE?  I think 6.8 may be the last chance for RFE so
> maybe close as WONT_FIX if you don't agree?
> 
> I think they asked for 2 things, per #4:
> 4. How would the customer like to achieve this? (List the functional
> requirements here)
> - A dependancy added to nfslock's RPM to download rpcbind
> Either an error message from nfslock that indicates rpcbind isn't running or
> getting nfslock to start rpcbind when nfslock sta

I took a quick look we could probably add some better error messages.

Will need to do the same thing in RHEL7 as well..

Comment 5 Steve Dickson 2015-11-21 15:37:29 UTC
commit 1d8d4e469d02aa574cb8529651809c0be90c3923
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Nov 18 11:44:27 2015 -0500

    svc_create.c: Make sure errors are logged

Comment 10 Yongcheng Yang 2016-02-18 04:25:10 UTC
Move to VERIFIED as Comment 6

Comment 13 errata-xmlrpc 2016-05-11 00:02:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0868.html


Note You need to log in before you can comment on or make changes to this bug.